function y = epanechnikov(x,s)
% Epanechnikov kernel
%SYNTAX
%y = epanechnikov(x,s)
%INPUTS
%x is a vector of distances
%s is bandwidth
%OUTPUTS
%a vector of weights

X = x/s;
X(abs(X)>1) = 1;
y = 0.75 * (1 - X.^2)/s;