function t=xytoternary(p)
%coordinates for ternary plot from Cartesian coordinates
%SYNTAX
%t=xytoternary(p)
%INPUTS
%p is an array of x and y coordinates where x+y+z=1. Each row is a point.
%OUTPUTS
%t is a vector of coordinates that can be used to produce a ternary plot

t=[(p(:,1)-1/3+(p(:,2)-1/3).*cos(pi/3))./(sin(pi/3)),p(:,2)-1/3];